/* A simple behavior that moves around randomly */

#ifndef _RANDOM_BEHAVIOR_H_
#define _RANDOM_BEHAVIOR_H_

#include "Behavior.hpp"

class RandomBehavior : public Behavior
{
public:
  RandomBehavior(spadesalib::AgentCommInterface* pacs) : Behavior(pacs) {}
  ~RandomBehavior() {}

  void respondSense(Behavior::SenseType st)
  { if (st == Behavior::ST_State) sendMove((basic_move_t)int_random(NUM_BASIC_MOVE_T)); }
  bool initialize() { return true; }
  
private:
};


#endif
