/* This class is used to maintain information about the coach by the PredPreyWorld */

#ifndef _COACH_ENTITY_H_
#define _COACH_ENTITY_H_

#include "sharedtypes.hpp"

class CoachEntity
{
public:
  CoachEntity(spades::AgentID aid, entityid_t eid) : agent_id(aid), entity_id(eid) {}
  ~CoachEntity() {}

  spades::AgentID getAgentID() const { return agent_id; }
  entityid_t getEntityID() const { return entity_id; }
  
private:
  spades::AgentID agent_id;
  entityid_t entity_id;
  
};



#endif
