/* Create an inform event to tell agents of capture */

#ifndef _CREATECAPTUREINFORMEVENTEVENT_H_
#define _CREATECAPTUREINFORMEVENTEVENT_H_

#include "CreateSenseEvent.hpp"
#include "WorldModel.hpp"
#include "PPSharedTypes.hpp"

class CreateCaptureInformEvent : public spades::CreateSenseEvent
{
public:
  CreateCaptureInformEvent (spades::SimTime t, spades::AgentID a, entityid_t eid_cap);
  ~CreateCaptureInformEvent () {}

  void print (std::ostream & o) const;

  //from CreateSenseEvent
  spades::SenseEvent* createSense(spades::WorldModel* p);

private:
  entityid_t captured_agent;
};




#endif

