/* This is a basic act event for an entity movement */

#ifndef _MOVE_ACT_EVENT_H_
#define _MOVE_ACT_EVENT_H_

#include "ActEvent.hpp"
#include "PPSharedTypes.hpp"

class PredPreyWorld; //defined in PredPreyWorld.hpp

class MoveActEvent : public spades::ActEvent
{
public:
  MoveActEvent (spades::SimTime t, spades::AgentID a, basic_move_t m);
  ~MoveActEvent() {}

  void print (std::ostream & o) const;

  basic_move_t getMove() const { return move; }
  void setMove(basic_move_t m) { move = m; }

protected:
  //this is how the world model realizes the event
  bool realizeEventWorldModel(spades::WorldModel* pWM);

private:
  basic_move_t move;
  
};





#endif
