#!/usr/local/bin/perl5 -w

# in moving policy to not be predprey specific, I changed the output format
# this little perl script modifies an old policy file(s) to the new format

use File::Copy;

$tmpfn = "/tmp/convert.$$.policy";

foreach $fn (@ARGV)
  {
    open (FH, "<$fn") || die "Could not open file '$fn': $!";
    open (TMPFH, ">$tmpfn") || die "Could not open tmp file '$tmpfn': $!";
    $_ = <FH>;
    chomp;
    ($x,$y,$pred,$prey) = split;
    $states = ($x*$y)**($pred+$prey);
    print TMPFH "$states\n";
    while (<FH>)
      {
	s/X/0/;
	s/N/1/;
	s/S/2/;
	s/E/3/;
	s/W/4/;
	print TMPFH $_;
      }
    close TMPFH;
    close FH;

    copy $tmpfn, $fn;
  }

unlink $tmpfn;
