#!/usr/local/bin/perl5 -w

# I changed the format of action maps to remove the number of actions. This perl script
# takes a list of actmap fn and changes each one


use File::Copy;

#$temp_fn = '/usr/tmp/.multi_repl.$$';
$temp_fn = '/tmp/.multi_repl.$$';

while ($file = shift @ARGV) {
  if (not -w $file) {
    print "Skipping '$file' because it's not writable\n";
    next;
  }
  open(FILE, "<$file") || die "Could not open file '$file': $!";
  open(OUTFILE, ">$temp_fn") || die "Could not open tmp file: $!";

  $_  = <FILE>;
  chomp;
  @vals = split;
  if (@vals != 2)
    {
      warn "Weird first line of file '$file': $_";
      next;
    }
  print OUTFILE ($vals[0]."\n");

  while (defined($_ = <FILE>)) {
    print OUTFILE;
  }

  close FILE;
  close OUTFILE;
  copy($temp_fn, $file) || die "Could not copy the temp file back";
}

unlink $temp_fn;

