/* a state aciton advisoing behavior that picks a set of states to advise about each time */

#ifndef _RANDOM_COACH_SA_BEHAVIOR_H_
#define _RANDOM_COACH_SA_BEHAVIOR_H_

#include "BaseCoachSABehavior.hpp"

class RandomCoachSABehavior : public BaseCoachSABehavior
{
public:
  RandomCoachSABehavior(spadesalib::AgentCommInterface* pacs,
			float gamma,
			explore_t exp, float alpha_explore, float boltzmann_constant,
			const char* enable_map_fn);
  ~RandomCoachSABehavior();
  
  bool initialize();
  void respondSenseSA(Behavior::SenseType st);

  //this is the function which is called when it is time for more advice
  void getStateActionAdvice(int max_num_to_send, vec_sa_advice_t& v);

private:
  
};



#endif
