/* Create a sense event which a communication from another agent */

#ifndef _CREATECOMMSENSEEVENTEVENT_H_
#define _CREATECOMMSENSEEVENTEVENT_H_

#include "CreateSenseEvent.hpp"
#include "WorldModel.hpp"
#include "PPSharedTypes.hpp"

class CreateCommSenseEvent : public spades::CreateSenseEvent
{
public:
  CreateCommSenseEvent (spades::SimTime t, spades::AgentID a, entityid_t sender, const char* msg);
  ~CreateCommSenseEvent ();

  void print (std::ostream & o) const;

  //from CreateSenseEvent
  spades::SenseEvent* createSense(spades::WorldModel* p);

private:
  entityid_t sender;
  //null-terminated
  char* msg;
};




#endif

