/* An event for the initial sensation for the agents
   Note that we don't have the usual CreateSenseEvent since this is only sent
   once at the beginning of the simulation */

#ifndef _INIT_SENSE_EVENT_H_
#define _INIT_SENSE_EVENT_H_

#include "SenseEvent.hpp"

class InitSenseEvent : public spades::SenseEvent
{
public:
  //The agentid used by mpades is not necc the same as the agent's internal number
  InitSenseEvent(spades::SimTime t, spades::AgentID a, int agentnum);
  ~InitSenseEvent() {}

  void print (std::ostream & o) const;

private:
  int agentnum;
};



#endif
